Android 6.0 运行时权限常识

如果APP运行在Android 6.0或以上版本的手机,并且target sdk>=23,那么在使用一些相对敏感的权限时,需要征求用户的许可。比如读写sdcard,摄像,联系人信息等。我们在开发时,如果指定了系统的最高运行版本低于23( 比如targetSdkVersion 21),就算是运行在6.0手机也不会出现权限提示框的。